;********************************************************************
;
; Author        : ADI - Apps            www.analog.com/MicroConverter
;
; Date          : March 2001
;
; File          : ADCldr.asm
;
; Hardware      : ADuC831
;
; Description   : Performs repeated single ADC conversions on ADC1
;                 Adjusts output of DAC0 to vary with LDR 
;		  
;		
;********************************************************************

$MOD831                         ; Use 8052&ADuC831 predefined symbols

CHAN    EQU     3               ; convert this ADC input channel..
                                ; ..chan values can be 0 thru 6
;____________________________________________________________________
                                                  ; BEGINNING OF CODE
CSEG

ORG 0000h

        JMP     MAIN            ; jump to main program
;____________________________________________________________________
                                             ; INTERRUPT VECTOR SPACE
	

;====================================================================
                                                       ; MAIN PROGRAM
ORG 004Bh

MAIN:

; PRECONFIGURE...

        MOV     ADCCON1,#080h   ; power up ADC
        MOV     ADCCON2,#CHAN   ; select channel to convert
	MOV     DACCON,#03DH	; Dac 0  0-5V 12bits
        

; PERFORM REPEATED SINGLE CONVERSIONS...

AGAIN:  SETB    SCONV           ; innitiate single ADC conversion
        		        ; ADC ISR is called upon completion
	JNB     ADCI,$
	CLR	ADCI
	MOV     DAC0H,ADCDATAH
	MOV     DAC0L,ADCDATAL
	
	JMP     AGAIN	
	
;____________________________________________________________________
END
