;********************************************************************
;
; Author        : ADI - Apps            www.analog.com/MicroConverter
;
; Date          : 31 JAN 2002
;
; File          : blink.asm
;
; Hardware      : Any 8052 based MicroConverter (ADuC8xx)
;
; Description   : Blinks LED continuously.
;                 200mSec period @ 50% duty cycle.
;
;********************************************************************

$MOD52                          ; use 8052 predefined symbols

LED     EQU     P3.4            ; P3.4 is red LED on eval board

;____________________________________________________________________
                                                       ; MAIN PROGRAM
CSEG

ORG  0000h

BLINK:  CPL     LED             ; flash (complement) the red LED
        CALL    DELAY           ; call software delay
        JMP     BLINK           ; repeat indefinately

;____________________________________________________________________
                                                        ; SUBROUTINES

DELAY:                          ; delay 100ms

        MOV     R7,#200         ; 200 * 500us = 100ms
DLY1:   MOV     R6,#229         ; 229 * 2.17us = 500us
        DJNZ    R6,$            ; sit here for 500us
        DJNZ    R7,DLY1         ; repeat 200 times (100ms delay)
        RET

;____________________________________________________________________

END
